Не найден кандидат на установку

Программы для конфигурации и управления операционной системой
Правила форума
Правильно сформулированный вопрос и его грамотное оформление способствует высокой вероятности получения достаточно содержательного и по существу ответа.

Автор темы
userman100
Сообщения: 21
Зарегистрирован: 07 ноя 2016, 20:32
Благодарил (а): 3 раза
Поблагодарили: 1 раз

Не найден кандидат на установку

Сообщение userman100 » 13 ноя 2016, 13:58

Всем привет. Коротко о проблеме:
Пакет mono-gmcs недоступен, но упомянут в списке зависимостей другого пакета.
Это может означать, что пакет отсутствует, устарел, или доступен из источников, не упомянутых в sources.list
Однако следующие пакеты могут его заменить:
mono-xbuild mono-devel mono-mcs

E: Для пакета «mono-gmcs» не найден кандидат на установку
Обновил все, что только можно было. Дело не в этом. Что делать? И да, замена файлов не помогает, в конечном итоге ошибку выдает.

Аватара пользователя

symon2014
Сообщения: 1578
Зарегистрирован: 29 авг 2016, 02:17
Решено: 19
Откуда: Феодосия
Благодарил (а): 47 раз
Поблагодарили: 427 раз

Re: Не найден кандидат на установку

Сообщение symon2014 » 13 ноя 2016, 14:40

:sry:
Debian (9.1) , LMDE2 , LM 18.2 Mate . Благодарности складываем сюда ---> R320161344462


Автор темы
userman100
Сообщения: 21
Зарегистрирован: 07 ноя 2016, 20:32
Благодарил (а): 3 раза
Поблагодарили: 1 раз

Re: Не найден кандидат на установку

Сообщение userman100 » 13 ноя 2016, 18:21

symon2014, извиняюсь за глупый вопрос, но как их устанавливать?
apt-get install mono-gmcs_3.2.8+dfsg-4ubuntu1.1_all.deb
Так?

Аватара пользователя

symon2014
Сообщения: 1578
Зарегистрирован: 29 авг 2016, 02:17
Решено: 19
Откуда: Феодосия
Благодарил (а): 47 раз
Поблагодарили: 427 раз

Re: Не найден кандидат на установку

Сообщение symon2014 » 13 ноя 2016, 18:37

userman100, Вопрос конечно интересный. Если таким способом ставить, впереди этой строки пишется sudo, а перед выполнением подключается репозитарий и делается апдейт. А самое лучшее, если бы ты указал версию Минта, потому что это пакет для 17 минтов.
:sry:
Debian (9.1) , LMDE2 , LM 18.2 Mate . Благодарности складываем сюда ---> R320161344462


Автор темы
userman100
Сообщения: 21
Зарегистрирован: 07 ноя 2016, 20:32
Благодарил (а): 3 раза
Поблагодарили: 1 раз

Re: Не найден кандидат на установку

Сообщение userman100 » 13 ноя 2016, 18:45

symon2014, 18 версия минта. Про судо не написал, потому что это очевидно. (сам лично пользуюсь su).
С апдейтом понятно, а что за репозитарий? Я недавно линуксом пользуюсь.


celtic
Сообщения: 50
Зарегистрирован: 03 ноя 2016, 14:21
Решено: 2
Благодарил (а): 12 раз
Поблагодарили: 1 раз

Re: Не найден кандидат на установку

Сообщение celtic » 13 ноя 2016, 19:09

userman100 писал(а): но как их устанавливать?
может это поможет понять как установить ...
http://forumooo.ru/index.php?PHPSESSID= ... 8#msg35718


Автор темы
userman100
Сообщения: 21
Зарегистрирован: 07 ноя 2016, 20:32
Благодарил (а): 3 раза
Поблагодарили: 1 раз

Re: Не найден кандидат на установку

Сообщение userman100 » 13 ноя 2016, 20:15

celtic, там же про либре офис. Я умею устанавливать, я спрашивал про репозитарий

Аватара пользователя

adargeos
Сообщения: 180
Зарегистрирован: 09 окт 2016, 11:40
Решено: 8
Откуда: Москва
Благодарил (а): 21 раз
Поблагодарили: 45 раз

Re: Не найден кандидат на установку

Сообщение adargeos » 13 ноя 2016, 22:10

userman100, если пакет скачан на компьютер, то репозиторий уже подключать не нужно. Устанавливаются *.deb пакеты командой:
sudo dpkg -i <имя файла>.deb
или
apt deb <имя файла>.deb
Постоянно пользоваться su очень не рекомендуется. В этом случае ты все действия выполняешь от имени пользователя root, в особенности, когда ты работаешь в своей домашней директории. Лучше привыкать использовать в практике sudo и только когда нужно выполнять команду с правами админа. К тому же, для команды apt не обязательно использовать sudo, она умная, сама спросит пароль.
if you do this - you know what you are doing


Автор темы
userman100
Сообщения: 21
Зарегистрирован: 07 ноя 2016, 20:32
Благодарил (а): 3 раза
Поблагодарили: 1 раз

Re: Не найден кандидат на установку

Сообщение userman100 » 13 ноя 2016, 22:21

adargeos, спасибо, буду знать. буду использовать sudo. Просто с su быстрее, т.к каждый раз sudo прописывать не надо.
С установкой понял. Как и где скачать пакет для 18 минта?

Аватара пользователя

adargeos
Сообщения: 180
Зарегистрирован: 09 окт 2016, 11:40
Решено: 8
Откуда: Москва
Благодарил (а): 21 раз
Поблагодарили: 45 раз

Re: Не найден кандидат на установку

Сообщение adargeos » 13 ноя 2016, 22:55

userman100, конкретно этот пакет в составе mono 4.2.1 я не нашел, он есть только в составе mono 3.2.8. Поэтому или попробуй командой apt install mono-complete установить всю кучу от mono или давай возвращаться к началу темы и выяснять что ты хотел сделать и почему именно этот пакет нужен.

UPD: Для mono-gmcs последняя доступная версия mono-gmcs_3.2.8+dfsg-4ubuntu4_all.deb, который зависит от mono-mcs (= 3.2.8+dfsg-4ubuntu4), который в свою очередь имеет еще несколько зависимостей, что влечет к установке всего mono версии 3.2.8. В репозитории Ubuntu Xenial, который привязан к Linux Mint 18, пакеты mono имеют версию 4.2.1. Прежде, чем объяснять, как установить все пакеты mono 3.2.8, хотелось бы выяснить, действительно ли оно нужно? Для какой программы потребовалась установка mono-gmcs?
https://launchpad.net/ubuntu/xenial/+package/mono-gmcs
if you do this - you know what you are doing

Аватара пользователя

symon2014
Сообщения: 1578
Зарегистрирован: 29 авг 2016, 02:17
Решено: 19
Откуда: Феодосия
Благодарил (а): 47 раз
Поблагодарили: 427 раз

Re: Не найден кандидат на установку

Сообщение symon2014 » 14 ноя 2016, 04:48

Я же дал ссылку, где есть эти пакеты. Открою её поглубже сам. http://packages.ubuntu.com/xenial/cli-mono/
:sry:
Debian (9.1) , LMDE2 , LM 18.2 Mate . Благодарности складываем сюда ---> R320161344462


Автор темы
userman100
Сообщения: 21
Зарегистрирован: 07 ноя 2016, 20:32
Благодарил (а): 3 раза
Поблагодарили: 1 раз

Re: Не найден кандидат на установку

Сообщение userman100 » 14 ноя 2016, 14:26

symon2014, там же 17 версия, но ладно. Спасибо, скачаю.


Автор темы
userman100
Сообщения: 21
Зарегистрирован: 07 ноя 2016, 20:32
Благодарил (а): 3 раза
Поблагодарили: 1 раз

Re: Не найден кандидат на установку

Сообщение userman100 » 14 ноя 2016, 14:28

adargeos, я уже пробовал apt-install mono-complete, не помогло, нет кандидата. Для программы одной. LOIC называется

Аватара пользователя

Dja
Сообщения: 2764
Зарегистрирован: 27 авг 2016, 17:03
Решено: 11
Откуда: Воскресенск
Благодарил (а): 391 раз
Поблагодарили: 283 раза

Не найден кандидат на установку

Сообщение Dja » 20 янв 2017, 07:59

userman100, таки срослось всё?
Новичок? - ознакомься с правилами

В поисках истины :grabli:

Вернуться в «Системные утилиты»